Subject: Re: Android Device Mounting Detection with GVFS Help

From: Jaft <[email-masked]>
Date: Mon, 14 Feb 2022 11:18:19 +0000 (UTC)

Bah; 'meant to send this to Guix Help. Sorry about that. Closing this…    On Monday, February 14, 2022, 12:51:00 AM CST, Jaft <[email-masked]> wrote:  
 
 I dunno if anyone might have any suggestions but I've been trying to get my Android phone get detected.
I'm using GVFS and Thunar; full details of what I originally tried are at https://www.reddit.com/r/GUIX/comments/s55e8m/smartphone_detection_with_gvfs/ but the short of it is that I noticed that the 69-libmtp.rules file that Guix installs differed from my Debian machine so I added a udev-rules-service that added all the devices that were in the Debian file and found the device was recognized, now, but trying to click on it or mount it still resulted in the error "No mtp devices found."

Someone on the IRC channel recommended trying android-udev-rules so I did; this resulted in the phone not getting recognized, when plugged in, by Thunar, again – but it was able to be recognized as a connected device by adb.
I've attached my system config. file, so it's clear to see what the setup I've tried is; I have no idea what else to try (if there's anything else even to try) but thanks for any help!